Name:       qsynth
Version:    0.3.6
Release:    %mkrel 1

Summary:    Qt GUI Interface for FluidSynth
License:    GPLv2+
Group:      Sound
URL:        http://%name.sourceforge.net/
Source0:    http://downloads.sourceforge.net/qsynth/%name-%version.tar.gz

BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  fluidsynth-devel
BuildRequires:  desktop-file-utils
Requires:   fluidsynth

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt4 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

# Fix locale installation path
perl -pi -e 's/\/share\/locale/\/share\/\$(name)\/locale/g' Makefile.in
perl -pi -e 's/\/share\/locale/\/share\/qsynth\/locale/g' src/main.cpp

%build
%configure2_5x
make CXXFLAGS="%{optflags}" LFLAGS="%{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Fix the .desktop file by removing
# 2 non-Mdv key and 2 non-standard categories
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --remove-category="MIDI" \
  --remove-category="ALSA" \
  --remove-category="JACK" \
  --add-category="Midi" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/%{name}.png



%changelog
* Fri Apr 15 2011 shikamaru <shikamaru> 0.3.6-1.mga1
+ Revision: 85879
- new version 0.3.6 - retab - fix file list

  + andre999 <andre999>
    - imported package qsynth


* Wed Mar 09 2011 andre999 <andre999@mageia.org> 0.3.5-3mga1
- import from mdv + clean
- remove mdv extended .desktop entry

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.5-3mdv2011.0
+ Revision: 614680
- the mass rebuild of 2010.1 packages

* Mon May 03 2010 Frank Kober <emuse@mandriva.org> 0.3.5-2mdv2010.1
+ Revision: 541841
- fix desktop categories (Bug #59063), fix tarball permissions

* Wed Apr 28 2010 Frank Kober <emuse@mandriva.org> 0.3.5-1mdv2010.1
+ Revision: 540488
- sync sources, replace locale patch by perl script
- new version (bugfixes and enhancements) 0.3.5

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.3.4-3mdv2010.0
+ Revision: 433042
- rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Don't use parallell make
    - Update to new version 0.3.4

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.3.3-2mdv2009.0
+ Revision: 234223
- requries fluidsynth

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 234218
- New version 0.3.3
- drop old tarball

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138719
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Austin Acton <austin@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 53175
- new version
- use bundled desktop file

* Thu Jun 14 2007 Austin Acton <austin@mandriva.org> 0.2.6-1mdv2008.0
+ Revision: 39348
- new version
- fix menu categories
- Import qsynth

* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-5mdv2007.0
- xdg menu

* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.2.5-4mdk
- buildrequires ImageMagick

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 0.2.5-3mdk
- really fix x86_64 build

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 0.2.5-2mdk
- mkrel

* Sat Mar 18 2006 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net> 0.2.5-1mdk
- Spec change to build on x86_64
- 0.2.5

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-2mdk
- Fix BuildRequires

* Mon Oct 03 2005 Lenny Cartier <lenny@mandriva.com> 0.2.4-1mdk
- 0.2.4

* Tue May 24 2005 Austin Acton <austin@mandriva.org> 0.2.3-1mdk
- 0.2.3
- source URL

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2
- configure 2.5

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.1.3-1mdk
- 0.1.3

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org) 0.1.2-1mdk
- 0.1.2

* Tue Dec 30 2003 Austin Acton <austin@linux.ca> 0.1.0-1mdk
- 0.1.0

* Sat Dec 27 2003 Austin Acton <aacton@yorku.ca> 0.0.3-1mdk
- initial package
